<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: StaticTransmitter Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/de8/class_static_transmitter.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">StaticTransmitter Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a231b7443356833e7d22457b6b721132e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/class_static_transmitter.html#a231b7443356833e7d22457b6b721132e">DisableVicinityIcon</a> ()</td></tr>
<tr class="separator:a231b7443356833e7d22457b6b721132e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7abc58eca56947edc62973410ed81e15"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/class_static_transmitter.html#a7abc58eca56947edc62973410ed81e15">OnStoreSave</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:a7abc58eca56947edc62973410ed81e15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac23b17ac886da8ddb8d18a83589e79f2"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/class_static_transmitter.html#ac23b17ac886da8ddb8d18a83589e79f2">OnStoreLoad</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> version)</td></tr>
<tr class="separator:ac23b17ac886da8ddb8d18a83589e79f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4143048bbe5fef8fd4d54a1e97a5de3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/class_static_transmitter.html#af4143048bbe5fef8fd4d54a1e97a5de3">IsStaticTransmitter</a> ()</td></tr>
<tr class="separator:af4143048bbe5fef8fd4d54a1e97a5de3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacecb48a67fc79b843794219d7730d02"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/class_static_transmitter.html#aacecb48a67fc79b843794219d7730d02">SetNextFrequency</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player=NULL)</td></tr>
<tr class="separator:aacecb48a67fc79b843794219d7730d02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80a61eef105a6d8b6d4f41eae20759ed"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/class_static_transmitter.html#a80a61eef105a6d8b6d4f41eae20759ed">OnSwitchOn</a> ()</td></tr>
<tr class="separator:a80a61eef105a6d8b6d4f41eae20759ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1660bac03386fc53bf3d1ee66890c865"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/class_static_transmitter.html#a1660bac03386fc53bf3d1ee66890c865">OnWorkStart</a> ()</td></tr>
<tr class="separator:a1660bac03386fc53bf3d1ee66890c865"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1086bedc3746f40892e32db0f1b5e3a8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/class_static_transmitter.html#a1086bedc3746f40892e32db0f1b5e3a8">OnWorkStop</a> ()</td></tr>
<tr class="separator:a1086bedc3746f40892e32db0f1b5e3a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23ad43bbed16135e10bc40ad4eb450d8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/class_static_transmitter.html#a23ad43bbed16135e10bc40ad4eb450d8">SetActions</a> ()</td></tr>
<tr class="separator:a23ad43bbed16135e10bc40ad4eb450d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html#l00001">1</a> of file <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html">Land_Radio_PanelBig.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a231b7443356833e7d22457b6b721132e" name="a231b7443356833e7d22457b6b721132e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a231b7443356833e7d22457b6b721132e">&#9670;&#160;</a></span>DisableVicinityIcon()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> StaticTransmitter::DisableVicinityIcon </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html#l00003">3</a> of file <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html">Land_Radio_PanelBig.c</a>.</p>

</div>
</div>
<a id="af4143048bbe5fef8fd4d54a1e97a5de3" name="af4143048bbe5fef8fd4d54a1e97a5de3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4143048bbe5fef8fd4d54a1e97a5de3">&#9670;&#160;</a></span>IsStaticTransmitter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> StaticTransmitter::IsStaticTransmitter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html#l00036">36</a> of file <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html">Land_Radio_PanelBig.c</a>.</p>

</div>
</div>
<a id="ac23b17ac886da8ddb8d18a83589e79f2" name="ac23b17ac886da8ddb8d18a83589e79f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac23b17ac886da8ddb8d18a83589e79f2">&#9670;&#160;</a></span>OnStoreLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> StaticTransmitter::OnStoreLoad </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>version</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html#l00017">17</a> of file <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html">Land_Radio_PanelBig.c</a>.</p>

</div>
</div>
<a id="a7abc58eca56947edc62973410ed81e15" name="a7abc58eca56947edc62973410ed81e15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7abc58eca56947edc62973410ed81e15">&#9670;&#160;</a></span>OnStoreSave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void StaticTransmitter::OnStoreSave </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html#l00009">9</a> of file <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html">Land_Radio_PanelBig.c</a>.</p>

</div>
</div>
<a id="a80a61eef105a6d8b6d4f41eae20759ed" name="a80a61eef105a6d8b6d4f41eae20759ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80a61eef105a6d8b6d4f41eae20759ed">&#9670;&#160;</a></span>OnSwitchOn()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void StaticTransmitter::OnSwitchOn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html#l00054">54</a> of file <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html">Land_Radio_PanelBig.c</a>.</p>

</div>
</div>
<a id="a1660bac03386fc53bf3d1ee66890c865" name="a1660bac03386fc53bf3d1ee66890c865"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1660bac03386fc53bf3d1ee66890c865">&#9670;&#160;</a></span>OnWorkStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void StaticTransmitter::OnWorkStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html#l00062">62</a> of file <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html">Land_Radio_PanelBig.c</a>.</p>

</div>
</div>
<a id="a1086bedc3746f40892e32db0f1b5e3a8" name="a1086bedc3746f40892e32db0f1b5e3a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1086bedc3746f40892e32db0f1b5e3a8">&#9670;&#160;</a></span>OnWorkStop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void StaticTransmitter::OnWorkStop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html#l00070">70</a> of file <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html">Land_Radio_PanelBig.c</a>.</p>

</div>
</div>
<a id="a23ad43bbed16135e10bc40ad4eb450d8" name="a23ad43bbed16135e10bc40ad4eb450d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23ad43bbed16135e10bc40ad4eb450d8">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void StaticTransmitter::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html#l00081">81</a> of file <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html">Land_Radio_PanelBig.c</a>.</p>

</div>
</div>
<a id="aacecb48a67fc79b843794219d7730d02" name="aacecb48a67fc79b843794219d7730d02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacecb48a67fc79b843794219d7730d02">&#9670;&#160;</a></span>SetNextFrequency()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void StaticTransmitter::SetNextFrequency </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em> = <code>NULL</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html#l00041">41</a> of file <a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html">Land_Radio_PanelBig.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/AdvancedCommunication/<a class="el" href="../../da/df4/_land___radio___panel_big_8c_source.html">Land_Radio_PanelBig.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/de8/class_static_transmitter.html">StaticTransmitter</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
